<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class ChangeWayBillField extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
       Schema::table('waybills', function (Blueprint $table) {
            $table->string('car_owner_info')->nullable()->comment('车辆所有人信息');
        });
        Schema::table('car_types',function (Blueprint $table){
            $table->decimal('length')->nullable()->comment('车长')->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('waybills', function (Blueprint $table) {
            $table->dropColumn('car_owner_info');
        });
    }
}
